Extending Qt Creator Manual | ScopeBuilder

Extending Qt Creator Manual 4.5.2

# ScopeBuilder Class

(QmlJS::ScopeBuilder)

- List of all members, including inherited members

## Public Functions

| ScopeBuilder(ScopeChain *scopeChain)
| ~ScopeBuilder()
void | pop()
void | push(AST::Node *node)
void | push(const QList<AST::Node *> &nodes)

## Static Public Members

const ObjectValue * | isPropertyChangesObject(const ContextPtr &context, const ObjectValue *object)

## Member Function Documentation

### ScopeBuilder::ScopeBuilder(ScopeChain *scopeChain)

Default constructs an instance of ScopeBuilder.

### ScopeBuilder::~ScopeBuilder()

Destroys the instance of ScopeBuilder.

### `[static]` const ObjectValue *ScopeBuilder::isPropertyChangesObject(const ContextPtr &context, const ObjectValue *object)

### void ScopeBuilder::pop()

### void ScopeBuilder::push(AST::Node *node)

### void ScopeBuilder::push(const QList<AST::Node *> &nodes)